## DROP SYNONYM-Anweisung (drop_synonym_statement)

Die DROP SYNONYM-Anweisung (drop_synonym_statement) löscht ein Synonym (alternativer Name) für einen Tabellennamen.

### Syntax

<drop_synonym_statement> ::=
DROP [PUBLIC] SYNONYM [<schema_name>.]<synonym_name>

### Erläuterung

Der angegebene Synonymname muss ein existierendes Synonym des aktuellen Benutzers identifizieren. Als Schemaname ist nur der Name des aktuellen Benutzers zulässig.

Wenn PUBLIC angegeben ist, muss das durch den Synonymnamen identifizierte Synonym als PUBLIC definiert sein.

Die Synonymdefinition wird aus der Menge der dem Benutzer zur Verfügung stehenden Synonyme für Tabellennamen entfernt.